var x y;
varexo v;

parameters r;

r = .975;

model;
  y = x;
  x = r*x(-1) + v;
end;

shocks;
  var v; stderr sqrt(0.02);
end;

steady;

check;

estimated_params;
  r,  .975, uniform_pdf,,,0,1;
  stderr y, sqrt(.2), uniform_pdf,,,0,1;
  stderr v, sqrt(.02), uniform_pdf,,,0,1;
end;

varobs y;


estimation(nobs=100,datafile=noisy_ar1_data,mh_replic=0, mode_compute=4, mode_check);

copyfile('noisy_ar1/Output/noisy_ar1_mode.mat', 'noisy.mat')

ovalue = oo_.posterior.optimization.log_density;
save('optimal_value_with_linear_kalman_filter', 'ovalue')
